<template>
  <div class="price-item">
    <div class="price-item__price">
      <div class="price-item__total">
        <ob-radio
          :label="`${formatNumber(priceForOnline.total_price / 100, {
            dot: 2,
          })} ₽`"
          valueInput="onlinePrice"
          name="tariff"
          :data-qa="`online-price_${index}`"
          v-model="activeTariff"
          @change="onTariffChanged"
        />
        <span v-if="priceForOnline.vat && priceForOnline.vat !== 0">
          Без НДС
        </span>
      </div>
      <div class="price-item__vat">
        <template v-if="priceForOnline.vat && priceForOnline.vat !== 0">
          НДС
          {{
            (((priceForOnline.total_price / 100) * priceForOnline.vat) / 100)
              | currency
          }}
          ₽
        </template>
        <template v-else>НДС не облагается</template>
      </div>
        <div class="price-item__vat">Онлайн-цена</div>
    </div>
  </div>
</template>

<script>
import { formatNumber } from "common-components/src/helpers/common";
import obRadio from "common-components/src/obComponents/obRadio";

export default {
  name: "draftOnlinePrice",

  props: {
    priceForOnline: {
      type: Object,
      required: true,
    },

    tariff: {
      type: String,
      default: '',
    },

    index: {
      type: [String, Number],
    },

    shouldBeChecked: {
      type: Boolean,
    },
  },

  components: {
    obRadio,
  },

  data() {
    return {
      activeTariff: null,
    };
  },

  watch: {
    shouldBeChecked: {
      handler: function (newVal) {
        if (newVal) {
          this.activeTariff = 'onlinePrice';
        } else {
          this.activeTariff = null;
        }
      },
      immediate: true,
    },
  },

  methods: {
    formatNumber,

    onTariffChanged() {
      this.$emit("tariffChanged", this.activeTariff);
    },
  },
};
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";
@import "~common-components/src/static/css/variables";

.price-item {
  ::v-deep {
    .ob-radio-container label {
      font-weight: bold;
      font-size: 20px;
      line-height: 24px;
    }
  }
}

.price-item__price {
  font-size: 15px;
}

.price-item__total {
  display: flex;
  align-items: flex-end;

  span {
    margin-top: 0;
    margin-bottom: 1px;
    margin-left: 0.5em;
    font-size: 12px;
  }
}

.price-item__vat {
  margin-left: 25px;
  margin-top: 6px;
  font-weight: normal;
  font-size: 14px;
  line-height: 16px;
  letter-spacing: 0.4px;
  color: $gray-slate;
}
</style>